package v1

import (
	"property-household-gateway/param/base"
	"property-household-gateway/pb/v1"
)


type EventListQuery struct {
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
	GardenId             int64    `form:"garden_id" json:"garden_id"`
}

type EventListRequest struct {
	base.Header
	EventListQuery
}

type EventListResponse struct {
	base.Result
	Data v1.EventListReply `json:"data"`
}

type EventSignAddBody struct {
	GardenId             int64    `form:"garden_id" json:"garden_id"`
	EventId              int64    `form:"event_id" json:"event_id"`
	Phone                string   `form:"phone" json:"phone"`
	Name                 string   `form:"name" json:"name"`
	// 报名人数
	Count                int64    `form:"count" json:"count"`
	Comment              string   `form:"comment" json:"comment"`
}
type EventSignAddRequest struct {
	base.Header
	EventSignAddBody
}
type EventSignAddResponse struct {
	base.Result
}