package v1

import (
	"property-household-gateway/param/base"
	"property-household-gateway/pb/v1"
)

type BuildingManagerListQuery struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
	HouseId  int64 `form:"house_id" json:"house_id"`
}
type BuildingManagerListRequest struct {
	base.Header
	BuildingManagerListQuery
}

type BuildingManagerListResponse struct {
	base.Result
	Data v1.BuildingManagerListReply `json:"data"`
}

type GardenInfoQuery struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type GardenInfoRequest struct {
	base.Header
	GardenInfoQuery
}

type GardenInfoResponse struct {
	base.Result
	Data v1.GardenItem `json:"data"`
}

type GardenListQuery struct {
	CommitteeCode string `form:"committee_code" json:"committee_code"`
	StreetCode    string `form:"street_code" json:"street_code"`
	GardenName    string `form:"garden_name" json:"garden_name"`

	ProvinceCode string `form:"province_code" json:"province_code"`
	CityCode     string `form:"city_code" json:"city_code"`
	AreaCode     string `form:"area_code" json:"area_code"`

	BuildingType        int32 `form:"building_type" json:"building_type"`
	BuildingYearGreater int64 `form:"building_year_greater" json:"building_year_greater"`
	BuildingYearLess    int64 `form:"building_year_less" json:"building_year_less"`

	PriceGreater int64 `form:"price_greater" json:"price_greater"`
	PriceLess    int64 `form:"price_less" json:"price_less"`
}

type GardenListRequest struct {
	base.Header
	GardenListQuery
}

type GardenListResponse struct {
	base.Result
	Data v1.GardenListReply `json:"data"`
}

type BuildingListQuery struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type BuildingListRequest struct {
	base.Header
	BuildingListQuery
}

type BuildingListResponse struct {
	base.Result
	Data v1.BuildingListReply `json:"data"`
}

type UnitListQuery struct {
	BuildingId int64 `form:"building_id" json:"building_id"`
	GardenId   int64 `form:"garden_id" json:"garden_id"`
}

type UnitListRequest struct {
	base.Header
	UnitListQuery
}

type UnitListResponse struct {
	base.Result
	Data v1.UnitListReply `json:"data"`
}

type HouseListQuery struct {
	UnitId    int64 `form:"unit_id" json:"unit_id"`
	GardenId  int64 `form:"garden_id" json:"garden_id"`
	HouseRent bool  `form:"house_rent" json:"house_rent"`
}

type HouseListRequest struct {
	base.Header
	HouseListQuery
}

type HouseListResponse struct {
	base.Result
	Data v1.HouseListReply `json:"data"`
}
