package v1

import (
	"property-household-gateway/param/base"
	"property-household-gateway/pb/v1"
)

type GateListQuery struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type GateListRequest struct {
	base.Header
	GateListQuery
}

type GateListResponse struct {
	base.Result
	Data v1.GateUnitDeviceReply `json:"data"`
}

type GateUserPicAddBody struct {
	GardenId int64  `form:"garden_id" json:"garden_id"`
	PicUrl   string `form:"pic_url" json:"pic_url"`
}

type GateUserPicAddRequest struct {
	base.Header
	GateUserPicAddBody
}

type GateUserPicAddResponse struct {
	base.Result
}

type GateUserPicInfoQuery struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type GateUserPicInfoRequest struct {
	base.Header
	GateUserPicInfoQuery
}

type GateUserPicInfoResponse struct {
	base.Result
	Data v1.GateUserPicInfoReply `json:"data"`
}

type GateHasFaceQuery struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type GateHasFaceRequest struct {
	base.Header
	GateHasFaceQuery
}

type GateHasFaceData struct {
	HasFaceDevice bool `json:"has_face_device"`
}

type GateHasFaceResponse struct {
	base.Result
	Data GateHasFaceData `json:"data"`
}

type GateQcodeQuery struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
	//DeviceId string `form:"device_id" json:"device_id"`
}

type GateQcodeRequest struct {
	base.Header
	GateQcodeQuery
}

type GateQcodeResponse struct {
	base.Result
	Data v1.GateQcodeReply `json:"data"`
}

type GateQcodeVisitorQuery struct {
	GardenId     int64  `form:"garden_id" json:"garden_id"`
	DeviceId     int64  `form:"device_id" json:"device_id"`
	Start        int64  `form:"start" json:"start"`
	End          int64  `form:"end" json:"end"`
	VisitorPhone string `form:"visitor_phone" json:"visitor_phone"`
	VisitorName  string `form:"visitor_name" json:"visitor_name"`
	Comment      string `form:"comment" json:"comment"`
}

type GateQcodeVisitorRequest struct {
	base.Header
	GateQcodeVisitorQuery
}

type GateQcodeVisitorResponse struct {
	base.Result
	Data v1.GateQcodeReply `json:"data"`
}

type GateVisitorListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	GateId   int64 `form:"gate_id" json:"gate_id"`
	//User     string `form:"user"`
	//Visitor  string `form:"visitor"`
	//Start    int64  `form:"start"`
	//End      int64  `form:"end"`
}

type GateVisitorListRequest struct {
	base.Header
	GateVisitorListQuery
}

type GateVisitorListResponse struct {
	base.Result
	Data v1.GateVisitorListReply `json:"data"`
}

type GateVisitorDelQuery struct {
	Id int64 `form:"id" json:"id"`
}

type GateVisitorDelRequest struct {
	base.Header
	GateVisitorDelQuery
}

type GateVisitorDelResponse struct {
	base.Result
}

type GateVisitorPageQuery struct {
	Id int64 `form:"id"`
}

type GateVisitorPageRequest struct {
	GateVisitorPageQuery
}

type GateVisitorPageResponse struct {
	base.Result
	Data v1.GateVisitorListItem `json:"data"`
}
