package v1

import (
	"property-household-gateway/param/base"
	"property-household-gateway/pb/v1"
)

type HouseholdApplyBody struct {
	// 1业主 2家人 3租客
	UserType int32  `form:"user_type" json:"user_type"`
	Phone    string `form:"phone" json:"phone"`
	// 姓名
	Name string `form:"name" json:"name"`
	// 房屋id
	HouseId int64 `form:"house_id" json:"house_id"`
	// 1 身份证 2 护照
	IdType int32 `form:"id_type" json:"id_type"`
	// 证件号
	IdNumber string `form:"id_number" json:"id_number"`
	// 附件
	Appendix []string `form:"appendix" json:"appendix"`
	// 小区id
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type HouseholdApplyRequest struct {
	base.Header
	HouseholdApplyBody
}

type HouseholdApplyResponse struct {
	base.Result
	Data v1.HouseholdApplyReply `json:"data"`
}

type HouseholdApproveBody struct {
	Status   bool   `form:"status" json:"status"`
	Feedback string `form:"feedback" json:"feedback"`
}

type HouseholdApproveRequest struct {
	base.Header
	HouseholdApproveBody
}

type HouseholdApproveResponse struct {
	base.Result
}

type HouseholdListQuery struct {
	ApproveStatus int32 `form:"approve_status" json:"approve_status"`
}

type HouseholdListRequest struct {
	base.Header
	HouseholdListQuery
}

type HouseholdListResponse struct {
	base.Result
	Data v1.HouseholdListReply `json:"data"`
}

type GardenHouseholdDelHouseQuery struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
	HouseId  int64 `form:"house_id" json:"house_id"`
}

type GardenHouseholdDelHouseRequest struct {
	base.Header
	GardenHouseholdDelHouseQuery
}

type GardenHouseholdDelHouseResponse struct {
	base.Result
}
