package v1

import (
	"property-household-gateway/param/base"
	"property-household-gateway/pb/v1"
)

type SuggestionOrderAddBody struct {
	// 投诉类型 1 投诉 2 建议
	SuggestionType int32 `form:"suggestion_type" json:"suggestion_type"`
	// 投诉人
	ApplyPeople string `form:"apply_people" json:"apply_people"`
	// 投诉人电话
	ApplyPeoplePhone string `form:"apply_people_phone" json:"apply_people_phone"`

	// 投诉内容
	ApplyContent string `form:"apply_content" json:"apply_content"`
	// 投诉图片
	ApplyPic             []string `form:"apply_pic" json:"apply_pic"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type SuggestionOrderAddRequest struct {
	base.Header
	SuggestionOrderAddBody
}

type SuggestionOrderAddResponse struct{
	base.Result
	Data v1.SuggestionOrderAddReply `json:"data"`
}

type SuggestionOrderUpdateBody struct {
	// 投诉类型 1 投诉 2 建议
	SuggestionType int32 `form:"suggestion_type" json:"suggestion_type"`
	// 投诉人
	ApplyPeople string `form:"apply_people" json:"apply_people"`
	// 投诉人电话
	ApplyPeoplePhone string `form:"apply_people_phone" json:"apply_people_phone"`

	// 投诉内容
	ApplyContent string `form:"apply_content" json:"apply_content"`
	// 投诉图片
	ApplyPic             []string `form:"apply_pic" json:"apply_pic"`
	Id int64 `form:"id"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
}


type SuggestionOrderUpdateRequest struct{
	base.Header
	SuggestionOrderUpdateBody
}

type SuggestionOrderUpdateResponse struct{
	base.Result
}

type SuggestionOrderDelQuery struct {
	Id int64 `form:"id"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type SuggestionOrderDelRequest struct{
	base.Header
	SuggestionOrderDelQuery
}

type SuggestionOrderDelResponse struct{
	base.Result
}

type SuggestionOrderListQuery struct {
	Page                 int64    `form:"page" json:"page"`
	PageSize             int64    `form:"page_size" json:"page_size"`
	Status               int32    `form:"status" json:"status"`
	ApplyPeople          string   `form:"apply_people" json:"apply_people"`
	ApplyPeoplePhone     string   `form:"apply_people_phone" json:"apply_people_phone"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
	SuggestionType int32 `form:"suggestion_type" json:"suggestion_type"`
}

type SuggestionOrderListRequest struct{
	base.Header
	SuggestionOrderListQuery
}

type SuggestionOrderListResponse struct{
	base.Result
	Data v1.SuggestionOrderListReply `json:"data"`
}

type SuggestionOrderInfoQuery struct {
	Id int64 `form:"id"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type SuggestionOrderInfoRequest struct{
	base.Header
	SuggestionOrderInfoQuery
}

type SuggestionOrderInfoResponse struct{
	base.Result
	Data v1.SuggestionOrderInfoReply `json:"data"`
}



type SuggestionOrderReturnVisitBody struct {
	Id                   int64    `form:"id" json:"id"`
	// 1 满意 2 不满意
	ReturnVisitLevel int32 `form:"return_visit_level" json:"return_visit_level"`
	// 回访内容
	ReturnVisitContent   string   `form:"return_visit_content" json:"return_visit_content"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type SuggestionOrderReturnVisitRequest struct{
	base.Header
	SuggestionOrderReturnVisitBody
}

type SuggestionOrderReturnVisitResponse struct{
	base.Result
}


