package v1

import (
	"property-household-gateway/param/base"
	"property-household-gateway/pb/v1"
)

type VoteListForHouseholdQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	Title string `form:"title" json:"title"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type VoteListForHouseholdRequest struct {
	base.Header
	VoteListForHouseholdQuery
}

type VoteListForHouseholdResponse struct {
	base.Result
	Data v1.VoteListForHouseholdReply `json:"data"`
}


type VoteTopicAnswer struct {
	// 题目编号
	Number int64 `form:"number" json:"number"`
	// 题目类型
	TopicType int32 `form:"topic_type" json:"topic_type"`
	// 问答题回答，当题目类型为问答题时有效
	CompletionAnswers []string `form:"completion_answers" json:"completion_answers"`
	// 选择题回答，当题目类型为选择题时有效
	ChoiceAnswers []string `form:"choice_answers" json:"choice_answers"`
	// 评分题回答，当题目类型为评分题时有效
	StarAnswers          int32    `form:"star_answers" json:"star_answers"`
}
type VoteAddAnswerBody struct {
	Id                   int64              `form:"id" json:"id"`
	GardenId             int64              `form:"garden_id" json:"garden_id"`
	Answers              []VoteTopicAnswer `form:"answers" json:"answers"`
}
type VoteAddAnswerRequest struct {
	base.Header
	VoteAddAnswerBody
}
type VoteAddAnswerResponse struct {
	base.Result
}



type VoteResultStatisticQuery struct {
	// 投票id
	Id int64 `form:"id" json:"id"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type VoteResultStatisticRequest struct {
	base.Header
	VoteResultStatisticQuery
}

type VoteResultStatisticResponse struct {
	base.Result
	Data v1.VoteResultStatisticReply `json:"data"`
}
