// GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag

package docs

import (
	"bytes"
	"encoding/json"
	"strings"

	"github.com/alecthomas/template"
	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{.Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "license": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/area/city": {
            "get": {
                "description": "用城市名换取城市code",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "区域"
                ],
                "summary": "用城市名换取城市code",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "城市名称",
                        "name": "city_name",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CityResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/area/province_city_area": {
            "get": {
                "description": "省市区列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "区域"
                ],
                "summary": "省市区列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProvinceCityAreaResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/area/street_committee": {
            "get": {
                "description": "街道社区列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "区域"
                ],
                "summary": "街道社区列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "区域代码",
                        "name": "area_code",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.StreetCommitteeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/bill_list": {
            "get": {
                "description": "待缴费某个费项的账单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "生活缴费"
                ],
                "summary": "待缴费某个费项的账单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "绑定关系id",
                        "name": "bind_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeBillListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/months/property": {
            "get": {
                "description": "预缴物业费前获取月数和赠送信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "预缴"
                ],
                "summary": "预缴物业费前获取月数和赠送信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "房屋id",
                        "name": "house_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargePropertyMonthInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/months/space": {
            "get": {
                "description": "预缴车位管理前获取月数和赠送信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "预缴"
                ],
                "summary": "预缴车位管理费前获取月数和赠送信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "车位id",
                        "name": "space_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeSpaceMonthInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/months/vehicle": {
            "get": {
                "description": "预缴月租停车费前获取月数和赠送信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "预缴"
                ],
                "summary": "预缴月租停车费前获取月数和赠送信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "车辆id",
                        "name": "vehicle_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeVehicleMonthInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/obj_charge/charge_list": {
            "get": {
                "description": "查看对象下的费项",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "预缴"
                ],
                "summary": "查看对象下的费项",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "房屋/车位/车辆id",
                        "name": "obj_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "1 房屋 2 车位 3 车辆 ",
                        "name": "obj_type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "费用类型1 物业费 2 水费 3 电费 4 气费 5 车位管理费 6 月租停车费 99 其他",
                        "name": "charge_type",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/order/cancel": {
            "put": {
                "description": "取消支付",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "取消支付"
                ],
                "summary": "取消支付",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeOrderCancelBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeOrderCancelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/order/info": {
            "get": {
                "description": "未支付订单的订单详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "生活缴费"
                ],
                "summary": "未支付订单的订单详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "订单详情",
                        "name": "order_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeOrderInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/order/list": {
            "get": {
                "description": "未支付订单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "生活缴费"
                ],
                "summary": "未支付订单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeOrderListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/pay": {
            "put": {
                "description": "欠费线上缴费",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "生活缴费"
                ],
                "summary": "欠费线上缴费",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeBillPayByHouseholdBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeBillPayByHouseholdResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/pay_test": {
            "put": {
                "description": "支付测试",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "支付测试"
                ],
                "summary": "支付测试",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeWxPayTestBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeWxPayTestResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/payed_bill_list": {
            "get": {
                "description": "已缴费的账单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "生活缴费"
                ],
                "summary": "已缴费的账单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "房屋id",
                        "name": "house_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "支付时间",
                        "name": "pay_time",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeUnpayListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/pre_pay": {
            "put": {
                "description": "线上预缴物业费、停车费",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "预缴"
                ],
                "summary": "线上预缴物业费、停车费",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ChargePrePayByHouseholdBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargePrePayByHouseholdResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/pre_pay_info": {
            "get": {
                "description": "预缴物业费或车位费前获取对应的金额信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "预缴"
                ],
                "summary": "预缴物业费或车位费前获取对应的金额信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "关系id",
                        "name": "bind_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "缴费月数",
                        "name": "months",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargePrePayInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/charge/unpay_list": {
            "get": {
                "description": "待缴费的费项列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "生活缴费"
                ],
                "summary": "待缴费的费项列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "房屋id",
                        "name": "house_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ChargeUnpayListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden/building": {
            "get": {
                "description": "楼栋列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "楼栋列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.BuildingListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden/buildings/manager": {
            "get": {
                "description": "楼栋管家列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "楼栋管家列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id 必填",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "房屋id 必填",
                        "name": "house_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.BuildingManagerListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden/house": {
            "get": {
                "description": "房屋列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "房屋列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "单元id",
                        "name": "unit_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "boolean",
                        "description": "true只返回还可以发布租房的房屋",
                        "name": "house_rent",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden/info": {
            "get": {
                "description": "小区详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "小区详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden/list": {
            "get": {
                "description": "小区列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "小区列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "省份代码",
                        "name": "province_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "城市代码",
                        "name": "city_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "区域代码",
                        "name": "area_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "社区代码",
                        "name": "committee_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "街道代码",
                        "name": "street_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "小区名字",
                        "name": "garden_name",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 1塔楼 2 板楼 3 塔板结合 4 其他",
                        "name": "building_type",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 楼龄年份大于",
                        "name": "building_year_greater",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 楼龄小于",
                        "name": "building_year_less",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 均价大于",
                        "name": "price_greater",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 均价小于",
                        "name": "price_less",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden/unit": {
            "get": {
                "description": "单元列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "单元列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "楼栋id",
                        "name": "building_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UnitListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate": {
            "get": {
                "description": "门禁列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/face": {
            "get": {
                "description": "人脸信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "人脸信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateUserPicInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "录入人脸",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "录入人脸",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GateUserPicAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateUserPicAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/has_face_device": {
            "get": {
                "description": "是否有人脸设备",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "是否有人脸设备",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateHasFaceResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/qcode": {
            "get": {
                "description": "门禁二维码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁二维码",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateQcodeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/qcode_visitor": {
            "get": {
                "description": "门禁访客邀约二维码",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁访客邀约二维码",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "设备id",
                        "name": "device_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "开始时间戳",
                        "name": "start",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "截止时间戳",
                        "name": "end",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "访客姓名",
                        "name": "visitor_name",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "访客联系方式",
                        "name": "visitor_phone",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "访问是由",
                        "name": "comment",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateQcodeVisitorResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/visitor": {
            "get": {
                "description": "我的邀约",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "我的邀约",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "门禁id选填",
                        "name": "gate_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateVisitorListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除访客记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "删除访客记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " 记录id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateVisitorDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/visitor/share": {
            "get": {
                "description": "访客获取到的分享页面",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "访客获取到的分享页面",
                "parameters": [
                    {
                        "type": "integer",
                        "description": " 访客邀约记录id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateVisitorPageResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/household/apply": {
            "post": {
                "description": "房屋认证申请",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "业主房屋"
                ],
                "summary": "房屋认证申请",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.HouseholdApplyBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseholdApplyResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/household/house": {
            "get": {
                "description": "房屋列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "业主房屋"
                ],
                "summary": "房屋列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "1 待审核 2 通过审核 3 未通过审核",
                        "name": "approve_status",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseholdListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "解绑房屋",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "业主房屋"
                ],
                "summary": "解绑房屋",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "house_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseholdListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/material/info": {
            "get": {
                "description": "获取单个素材",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "素材"
                ],
                "summary": "获取单个素材",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "素材类型",
                        "name": "mtype",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MaterialInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/material/list": {
            "get": {
                "description": "根据类型获取素材列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "素材"
                ],
                "summary": "根据类型获取素材列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "类型，多个类型以逗号分隔",
                        "name": "mtypes",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MaterialListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/openim_upload": {
            "post": {
                "description": "上传文件(openim聊天专用)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "upload"
                ],
                "summary": "上传文件(openim聊天专用)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UploadResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/rent/garden_info": {
            "get": {
                "description": "均价，已租已售数",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "均价，已租已售数",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " 小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "boolean",
                        "description": "我发布的",
                        "name": "is_me",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenHouseRentInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/rent/house": {
            "get": {
                "description": "租房列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "租房列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "省份代码",
                        "name": "province_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "城市代码",
                        "name": "city_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "区域代码",
                        "name": "area_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "街道代码",
                        "name": "street_code",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "几室",
                        "name": "room_count",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "几厅",
                        "name": "hall_count",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "几卫",
                        "name": "wc_count",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "租金大于",
                        "name": "rent_price_greater",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "租金小于",
                        "name": "rent_price_less",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "审核状态 0 不过滤 1 待审核 2 通过 3 未通过",
                        "name": "approve_status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "从低bit到高bit分别表示床 天然气 暖气 宽带 冰箱 衣柜 沙发 空调 电视机 热水器 洗衣机",
                        "name": "base_conf",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "从低到高分别表示 智能门锁 wifi 近地铁 停车位 独卫 私人阳台 首次出租",
                        "name": "special_conf",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 小区id",
                        "name": "garden_id",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": " 小区名字",
                        "name": "garden_name",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 1塔楼 2 板楼 3 塔板结合 4 其他",
                        "name": "building_type",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 楼龄年份大于",
                        "name": "building_year_greater",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 楼龄小于",
                        "name": "building_year_less",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "description": "我发布的",
                        "name": "is_me",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "修改信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "发布房源",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "发布房源",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentApplyBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentApplyResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/rent/house/appointment": {
            "get": {
                "description": "租房预约记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "租房预约记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentAppointmentListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "租房预约看房",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "租房预约看房",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentAppointmentAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentAppointmentListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除租房预约记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "删除租房预约记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "记录id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentAppointmentDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/rent/house/down": {
            "put": {
                "description": "下架",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "下架",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentDownBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentDownResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/rent/house/manager": {
            "get": {
                "description": "房屋的经纪人列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "房屋租赁"
                ],
                "summary": "房屋的经纪人列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "租房信息id",
                        "name": "rent_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseRentManagerListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/class": {
            "get": {
                "description": "分类列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "分类列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " 1 公区 2 室内",
                        "name": "area",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairClassListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/order": {
            "get": {
                "description": "工单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "工单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 1未派单 2 已派单 3 已完结 ",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "报修人",
                        "name": "apply_people",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "报修人电话",
                        "name": "apply_people_phone",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "分类id",
                        "name": "class_id",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改工单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "修改工单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "新增工单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "新增工单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/order/info": {
            "get": {
                "description": "工单详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "工单详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/repair/order/return_visit": {
            "put": {
                "description": "回访",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "报事报修"
                ],
                "summary": "回访",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderReturnVisitBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RepairOrderReturnVisitResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/announcement": {
            "get": {
                "description": "公告列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公告"
                ],
                "summary": "公告列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AnnouncementListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/announcement/read_count": {
            "put": {
                "description": "公告增加阅读次数",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公告"
                ],
                "summary": "公告增加阅读次数",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "公告id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.AnnouncementReadAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/event": {
            "get": {
                "description": "社区活动列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区活动"
                ],
                "summary": "社区活动列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.EventListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/event/sign": {
            "post": {
                "description": "添加社区活动报名",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区活动"
                ],
                "summary": "社区活动报名",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.EventSignAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.EventSignAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/neighbor/article": {
            "get": {
                "description": "文章列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "文章列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "文章标题 ",
                        "name": "title",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "description": "true我发布的 false 不过滤 ",
                        "name": "is_me",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborArticleListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改文章",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "修改文章",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborArticleUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborArticleUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加文章",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "添加文章",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborArticleAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborArticleAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除文章",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "删除文章",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborArticleDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/neighbor/class": {
            "get": {
                "description": "分类列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "分类列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "分类名称",
                        "name": "class_name",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborClassListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/neighbor/comment": {
            "get": {
                "description": "评论列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "评论列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "文章id",
                        "name": "article_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "父评论id",
                        "name": "pid",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborCommentListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改评论",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "修改评论",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborCommentUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborCommentUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加评论",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "添加评论",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborCommentAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborCommentAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除评论",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "删除评论",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborCommentDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/neighbor/like": {
            "put": {
                "description": "点赞或撤销点赞",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "社区邻里"
                ],
                "summary": "点赞或撤销点赞",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborLikeBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.NeighborLikeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/vote": {
            "get": {
                "description": "投票列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投票"
                ],
                "summary": "投票列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "投票标题",
                        "name": "title",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VoteListForHouseholdResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/vote/answer": {
            "post": {
                "description": "提交投票回答",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投票"
                ],
                "summary": "提交投票回答",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.VoteAddAnswerBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VoteAddAnswerResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service/vote/result/statistic": {
            "get": {
                "description": "投票结果统计",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投票"
                ],
                "summary": "投票结果统计",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.VoteResultStatisticResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service_phone": {
            "get": {
                "description": "电话列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "服务电话"
                ],
                "summary": "电话列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "分类id",
                        "name": "class_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/service_phone/class": {
            "get": {
                "description": "分类列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "服务电话"
                ],
                "summary": "分类列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ServicePhoneClassListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/suggestion/order": {
            "get": {
                "description": "工单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "工单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " 1未派单 2 已派单 3 已完结 ",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "报修人",
                        "name": "apply_people",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "报修人电话",
                        "name": "apply_people_phone",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "投诉类型 1 投诉 2 建议",
                        "name": "suggestion_type",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "修改工单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "修改工单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "新增工单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "新增工单",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/suggestion/order/info": {
            "get": {
                "description": "工单详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "工单详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/suggestion/order/return_visit": {
            "put": {
                "description": "回访",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "投诉与建议"
                ],
                "summary": "回访",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderReturnVisitBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SuggestionOrderReturnVisitResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/token_refresh": {
            "put": {
                "description": "刷新token",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "刷新token",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TokenResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/upload": {
            "post": {
                "description": "上传文件",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "upload"
                ],
                "summary": "上传文件",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UploadResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/house": {
            "get": {
                "description": "用户的房屋",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "用户的房屋",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "boolean",
                        "description": "true:返回可发布租房的房屋 false:返回用户的所有房屋",
                        "name": "for_rent",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseholdHousesResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/info": {
            "get": {
                "description": "获取用户信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "获取用户信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UserInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/login": {
            "post": {
                "description": "登录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "登录",
                "parameters": [
                    {
                        "description": "登录信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.LoginBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LoginResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/nick_name": {
            "put": {
                "description": "修改昵称",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "修改昵称",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.UserUpdateNickNameBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UserUpdateNickNameResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/openim_token": {
            "get": {
                "description": "获取openim_token",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "openim"
                ],
                "summary": "获取openim token",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "openim_id",
                        "name": "openim_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.OpenImTokenResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/openim_users_info": {
            "get": {
                "description": "批量获取openim_用户信息",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "openim"
                ],
                "summary": "批量获取openim 用户信息",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "用户openim_id,以逗号分割",
                        "name": "openim_ids",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.OpenImUsersInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/real_name_auth": {
            "put": {
                "description": "实名认证",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "实名认证",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.RealNameAuthBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.RealNameAuthResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/space": {
            "get": {
                "description": "用户房屋下的车位(仅业主可查看)",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "用户房屋下的车位(仅业主可查看)",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "房屋id",
                        "name": "house_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "住户类型1 业主 2 家人 3 租户",
                        "name": "user_type",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseholdSpaceResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/vehicle": {
            "get": {
                "description": "用户小区下的车辆",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "用户小区下的车辆",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.HouseholdVehicleResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "base.HTTPError": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer",
                    "format": "int",
                    "example": 500
                },
                "message": {
                    "type": "string",
                    "example": "status bad request"
                }
            }
        },
        "v1.AnnouncementItem": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "read": {
                    "type": "boolean"
                },
                "read_count": {
                    "type": "integer"
                },
                "title": {
                    "type": "string"
                }
            }
        },
        "v1.AnnouncementListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.AnnouncementItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.AnnouncementListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.AnnouncementListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AnnouncementReadAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AreaData": {
            "type": "object",
            "properties": {
                "city_code": {
                    "type": "string"
                },
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                }
            }
        },
        "v1.BuildingItem": {
            "type": "object",
            "properties": {
                "building_area": {
                    "description": "楼栋建筑面积",
                    "type": "number"
                },
                "building_name": {
                    "description": "楼栋名",
                    "type": "string"
                },
                "building_number": {
                    "description": "楼栋编号",
                    "type": "string"
                },
                "building_used_area": {
                    "description": "楼栋使用面积",
                    "type": "number"
                },
                "comment": {
                    "description": "备注",
                    "type": "string"
                },
                "id": {
                    "description": "id",
                    "type": "integer"
                },
                "unit_count": {
                    "type": "integer"
                }
            }
        },
        "v1.BuildingListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.BuildingItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.BuildingListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.BuildingListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.BuildingManagerItem": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "manager_uid": {
                    "type": "integer"
                },
                "name": {
                    "description": "姓名",
                    "type": "string"
                },
                "openim_id": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "user_name": {
                    "description": "账号",
                    "type": "string"
                }
            }
        },
        "v1.BuildingManagerListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.BuildingManagerItem"
                    }
                }
            }
        },
        "v1.BuildingManagerListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.BuildingManagerListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeBillItem": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "integer"
                },
                "bill_id": {
                    "type": "integer"
                },
                "charge_desc": {
                    "type": "string"
                },
                "charge_name": {
                    "type": "string"
                },
                "charge_type": {
                    "type": "integer"
                },
                "current_used": {
                    "type": "number"
                },
                "end": {
                    "type": "string"
                },
                "last_used": {
                    "type": "number"
                },
                "late_days": {
                    "type": "integer"
                },
                "late_fee": {
                    "type": "integer"
                },
                "obj_id": {
                    "type": "integer"
                },
                "obj_name": {
                    "type": "string"
                },
                "obj_type": {
                    "type": "integer"
                },
                "start": {
                    "type": "string"
                }
            }
        },
        "v1.ChargeBillListReply": {
            "type": "object",
            "properties": {
                "charge_name": {
                    "type": "string"
                },
                "charge_type": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeBillItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "should_pay_amount": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeBillListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeBillListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeBillPayByHouseholdBody": {
            "type": "object",
            "properties": {
                "bill_ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "bind_ids": {
                    "description": "绑定关系id列表",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "comment": {
                    "description": "备注",
                    "type": "string"
                },
                "garden_id": {
                    "type": "integer"
                },
                "pay_amount": {
                    "description": "实缴",
                    "type": "integer"
                },
                "should_pay_amount": {
                    "description": "应缴",
                    "type": "integer"
                }
            }
        },
        "v1.ChargeBillPayByHouseholdReply": {
            "type": "object",
            "properties": {
                "order_id": {
                    "type": "string"
                },
                "prepay_info": {
                    "description": "三方预支付信息",
                    "type": "string"
                }
            }
        },
        "v1.ChargeBillPayByHouseholdResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeBillPayByHouseholdReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeItem": {
            "type": "object",
            "properties": {
                "bind_id": {
                    "type": "integer"
                },
                "charge_name": {
                    "type": "string"
                },
                "charge_time_type": {
                    "type": "integer"
                },
                "charge_type": {
                    "type": "integer"
                },
                "created_at": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                },
                "end": {
                    "type": "string"
                },
                "start": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                }
            }
        },
        "v1.ChargeListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeMonthInfoReply": {
            "type": "object",
            "properties": {
                "bind_id": {
                    "type": "integer"
                },
                "desc": {
                    "type": "string"
                },
                "month_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MonthInfo"
                    }
                }
            }
        },
        "v1.ChargeOrderBillItem": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "integer"
                },
                "bill_id": {
                    "type": "integer"
                },
                "charge_desc": {
                    "type": "string"
                },
                "charge_name": {
                    "type": "string"
                },
                "charge_type": {
                    "type": "integer"
                },
                "current_used": {
                    "type": "number"
                },
                "end": {
                    "type": "string"
                },
                "last_used": {
                    "type": "number"
                },
                "late_fee": {
                    "type": "integer"
                },
                "obj_name": {
                    "type": "string"
                },
                "start": {
                    "type": "string"
                }
            }
        },
        "v1.ChargeOrderCancelBody": {
            "type": "object",
            "properties": {
                "by_user": {
                    "description": "true 未支付订单中用户主动取消，false 前端判断未支付时主动调接口删除",
                    "type": "boolean"
                },
                "garden_id": {
                    "type": "integer"
                },
                "order_id": {
                    "type": "string"
                }
            }
        },
        "v1.ChargeOrderCancelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeOrderInfoReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeOrderBillItem"
                    }
                }
            }
        },
        "v1.ChargeOrderInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeOrderInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeOrderItem": {
            "type": "object",
            "properties": {
                "bill_count": {
                    "description": "账单数",
                    "type": "integer"
                },
                "comment": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                },
                "obj_name": {
                    "type": "string"
                },
                "order_id": {
                    "type": "string"
                },
                "pay_amount": {
                    "type": "integer"
                },
                "pay_time": {
                    "type": "string"
                },
                "pay_type": {
                    "type": "integer"
                },
                "paying_desc": {
                    "type": "string"
                },
                "should_pay_amount": {
                    "type": "integer"
                },
                "status": {
                    "description": "1 待支付 2 已支付",
                    "type": "integer"
                },
                "transaction_id": {
                    "type": "string"
                }
            }
        },
        "v1.ChargeOrderListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeOrderItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeOrderListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeOrderListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargePrePayByHouseholdBody": {
            "type": "object",
            "properties": {
                "bind_id": {
                    "type": "integer"
                },
                "garden_id": {
                    "type": "integer"
                },
                "months": {
                    "type": "integer"
                },
                "package_id": {
                    "description": "套餐id",
                    "type": "integer"
                },
                "pay_amount": {
                    "description": "实缴金额",
                    "type": "integer"
                },
                "should_pay_amount": {
                    "description": "应缴金额",
                    "type": "integer"
                }
            }
        },
        "v1.ChargePrePayByHouseholdReply": {
            "type": "object",
            "properties": {
                "order_id": {
                    "type": "string"
                },
                "prepay_info": {
                    "description": "三方预支付信息",
                    "type": "string"
                }
            }
        },
        "v1.ChargePrePayByHouseholdResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargePrePayByHouseholdReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargePrePayInfoReply": {
            "type": "object",
            "properties": {
                "charge_desc": {
                    "type": "string"
                },
                "charge_name": {
                    "type": "string"
                },
                "charge_type": {
                    "type": "integer"
                },
                "end": {
                    "type": "integer"
                },
                "should_pay_amount": {
                    "type": "integer"
                },
                "start": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargePrePayInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargePrePayInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargePropertyMonthInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeMonthInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeSpaceMonthInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeMonthInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeUnpayItem": {
            "type": "object",
            "properties": {
                "bill_count": {
                    "type": "integer"
                },
                "bind_id": {
                    "type": "integer"
                },
                "charge_name": {
                    "type": "string"
                },
                "charge_time_type": {
                    "type": "integer"
                },
                "charge_type": {
                    "type": "integer"
                },
                "unpay_amount": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeUnpayListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ChargeUnpayItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeUnpayListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeUnpayListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeVehicleMonthInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ChargeMonthInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ChargeWxPayTestBody": {
            "type": "object",
            "properties": {
                "pay_amount": {
                    "type": "integer"
                }
            }
        },
        "v1.ChargeWxPayTestResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.WxAppletPrepayReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CityData": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                }
            }
        },
        "v1.CityReply": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                },
                "province_name": {
                    "type": "string"
                }
            }
        },
        "v1.CityResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CityReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CommitteeData": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "street_code": {
                    "type": "string"
                }
            }
        },
        "v1.EventItem": {
            "type": "object",
            "properties": {
                "addr": {
                    "description": "活动地址",
                    "type": "string"
                },
                "content": {
                    "description": "内容",
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "end": {
                    "description": "活动结束时间",
                    "type": "integer"
                },
                "fee": {
                    "description": "报名费用",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "people_count": {
                    "description": "已报名人数",
                    "type": "integer"
                },
                "people_limit": {
                    "description": "人数限制",
                    "type": "integer"
                },
                "pic": {
                    "description": "图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "sign": {
                    "description": "物业端不管该字段，小程序查询时该字段有效 是否报名",
                    "type": "boolean"
                },
                "sign_up_end": {
                    "description": "报名截止时间",
                    "type": "integer"
                },
                "start": {
                    "description": "活动开始时间",
                    "type": "integer"
                },
                "status": {
                    "description": "1 报名进行中 2 报名已截止",
                    "type": "integer"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                }
            }
        },
        "v1.EventListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.EventItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.EventListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.EventListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.EventSignAddBody": {
            "type": "object",
            "properties": {
                "comment": {
                    "type": "string"
                },
                "count": {
                    "description": "报名人数",
                    "type": "integer"
                },
                "event_id": {
                    "type": "integer"
                },
                "garden_id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "v1.EventSignAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenHouseRentInfoReply": {
            "type": "object",
            "properties": {
                "area_percent": {
                    "description": "容积率",
                    "type": "number"
                },
                "avg_price": {
                    "type": "integer"
                },
                "building_area": {
                    "description": "建筑面积",
                    "type": "number"
                },
                "building_company": {
                    "description": "开发企业",
                    "type": "string"
                },
                "building_end": {
                    "description": "建成年份结束时间戳",
                    "type": "integer"
                },
                "building_start": {
                    "description": "建成年份开始时间戳",
                    "type": "integer"
                },
                "building_type": {
                    "description": "1塔楼 2 板楼 3 塔板结合 4 其他",
                    "type": "integer"
                },
                "covered_area": {
                    "description": "占地面积",
                    "type": "number"
                },
                "electric_type": {
                    "description": "电费类型多选 1 民用 2 商用",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "garden_pics": {
                    "description": "小区图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "gas_fee_end": {
                    "description": "燃气费开始，单位分",
                    "type": "integer"
                },
                "gas_fee_start": {
                    "description": "燃气费开始，单位分",
                    "type": "integer"
                },
                "green_percent": {
                    "description": "绿化率",
                    "type": "number"
                },
                "house_total": {
                    "description": "总户数",
                    "type": "integer"
                },
                "property_fee_end": {
                    "description": "物业费结束， 单位分",
                    "type": "integer"
                },
                "property_fee_start": {
                    "description": "物业费开始，单位分",
                    "type": "integer"
                },
                "rent_count": {
                    "type": "integer"
                },
                "sell_count": {
                    "type": "integer"
                },
                "space_info": {
                    "description": "车位配比",
                    "type": "string"
                },
                "space_total": {
                    "description": "固定车位数",
                    "type": "integer"
                },
                "water_type": {
                    "description": "水费类型多选 1 民用 2 商用",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "v1.GardenHouseRentInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GardenHouseRentInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GardenItem"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenItem": {
            "type": "object",
            "properties": {
                "appendix": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "area": {
                    "description": "区",
                    "type": "string"
                },
                "area_code": {
                    "type": "string"
                },
                "area_percent": {
                    "description": "容积率",
                    "type": "number"
                },
                "avg_price": {
                    "type": "integer"
                },
                "building_area": {
                    "description": "建筑面积",
                    "type": "number"
                },
                "building_company": {
                    "description": "开发企业",
                    "type": "string"
                },
                "building_end": {
                    "description": "建成年份结束时间戳",
                    "type": "integer"
                },
                "building_start": {
                    "description": "建成年份开始时间戳",
                    "type": "integer"
                },
                "building_type": {
                    "description": "1塔楼 2 板楼 3 塔板结合 4 其他",
                    "type": "integer"
                },
                "cid": {
                    "description": "物业公司id",
                    "type": "integer"
                },
                "city": {
                    "description": "市",
                    "type": "string"
                },
                "city_code": {
                    "type": "string"
                },
                "committee": {
                    "description": "社区",
                    "type": "string"
                },
                "committee_code": {
                    "type": "string"
                },
                "covered_area": {
                    "description": "占地面积",
                    "type": "number"
                },
                "electric_type": {
                    "description": "电费类型多选 1 民用 2 商用",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "feedback": {
                    "type": "string"
                },
                "garden_addr": {
                    "description": "小区地址",
                    "type": "string"
                },
                "garden_desc": {
                    "type": "string"
                },
                "garden_name": {
                    "description": "小区名字",
                    "type": "string"
                },
                "garden_pic": {
                    "type": "string"
                },
                "garden_pics": {
                    "description": "小区图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "gas_fee_end": {
                    "description": "燃气费开始，单位分",
                    "type": "integer"
                },
                "gas_fee_start": {
                    "description": "燃气费开始，单位分",
                    "type": "integer"
                },
                "green_percent": {
                    "description": "绿化率",
                    "type": "number"
                },
                "house_total": {
                    "description": "总户数",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "in_use": {
                    "type": "boolean"
                },
                "lat": {
                    "description": "纬度",
                    "type": "number"
                },
                "lnt": {
                    "description": "经度",
                    "type": "number"
                },
                "property_fee_end": {
                    "description": "物业费结束， 单位分",
                    "type": "integer"
                },
                "property_fee_start": {
                    "description": "物业费开始，单位分",
                    "type": "integer"
                },
                "property_person": {
                    "description": "物业联系人",
                    "type": "string"
                },
                "property_phone": {
                    "description": "物业联系人手机号",
                    "type": "string"
                },
                "province": {
                    "description": "省",
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                },
                "rent_avg_price": {
                    "type": "integer"
                },
                "rent_count": {
                    "type": "integer"
                },
                "sell_count": {
                    "type": "integer"
                },
                "space_info": {
                    "description": "车位配比",
                    "type": "string"
                },
                "space_total": {
                    "description": "固定车位数",
                    "type": "integer"
                },
                "status": {
                    "type": "integer"
                },
                "street": {
                    "description": "街道",
                    "type": "string"
                },
                "street_code": {
                    "type": "string"
                },
                "water_type": {
                    "description": "水费类型多选 1 民用 2 商用",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "v1.GardenListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GardenItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GardenListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GardenListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateHasFaceData": {
            "type": "object",
            "properties": {
                "has_face_device": {
                    "type": "boolean"
                }
            }
        },
        "v1.GateHasFaceResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GateHasFaceData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateItem": {
            "type": "object",
            "properties": {
                "auth_key": {
                    "description": "授权key",
                    "type": "string"
                },
                "card_support": {
                    "description": "1 支持卡 2 不支持",
                    "type": "integer"
                },
                "device_id": {
                    "description": "设备id",
                    "type": "integer"
                },
                "device_name": {
                    "description": "设备名",
                    "type": "string"
                },
                "direction": {
                    "description": "1 进场 2 出场 3 进出场",
                    "type": "integer"
                },
                "enable": {
                    "description": "true 已启用 false 已禁用",
                    "type": "boolean"
                },
                "garden_id": {
                    "description": "小区id",
                    "type": "integer"
                },
                "garden_name": {
                    "description": "小区名",
                    "type": "string"
                },
                "ip": {
                    "type": "string"
                },
                "location": {
                    "type": "string"
                },
                "mac": {
                    "type": "string"
                },
                "manufactor": {
                    "description": "厂商",
                    "type": "string"
                },
                "out_time": {
                    "description": "出库时间",
                    "type": "integer"
                },
                "out_user": {
                    "description": "出库人",
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "pic_support": {
                    "description": "1 支持人脸 2 不支持",
                    "type": "integer"
                },
                "port": {
                    "type": "integer"
                },
                "protocol": {
                    "description": "协议",
                    "type": "integer"
                },
                "protocol_desc": {
                    "type": "string"
                },
                "qcode_support": {
                    "description": "1支持二维码 2 不支持",
                    "type": "integer"
                },
                "sn": {
                    "description": "序列号",
                    "type": "string"
                },
                "status": {
                    "description": "1 在线 2 离线",
                    "type": "integer"
                },
                "user_name": {
                    "type": "string"
                }
            }
        },
        "v1.GateListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GateUnitDeviceReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateQcodeReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "qcode": {
                    "type": "string"
                }
            }
        },
        "v1.GateQcodeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GateQcodeReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateQcodeVisitorResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GateQcodeReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateUnitDeviceReply": {
            "type": "object",
            "properties": {
                "has_device": {
                    "type": "boolean"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GateItem"
                    }
                }
            }
        },
        "v1.GateUserPicAddBody": {
            "type": "object",
            "properties": {
                "garden_id": {
                    "type": "integer"
                },
                "pic_url": {
                    "type": "string"
                }
            }
        },
        "v1.GateUserPicAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateUserPicInfoReply": {
            "type": "object",
            "properties": {
                "approve_status": {
                    "description": "1 待审核 2 审核通过 3 审核未通过",
                    "type": "integer"
                },
                "down_status": {
                    "description": "1 待下发 2 已下发 3 下发失败",
                    "type": "integer"
                },
                "feedback": {
                    "type": "string"
                },
                "pic_url": {
                    "type": "string"
                }
            }
        },
        "v1.GateUserPicInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GateUserPicInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateVisitorDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateVisitorListItem": {
            "type": "object",
            "properties": {
                "comment": {
                    "type": "string"
                },
                "device_id": {
                    "type": "integer"
                },
                "end": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "gate_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "location": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "open_time": {
                    "type": "integer"
                },
                "phone": {
                    "type": "string"
                },
                "qcode": {
                    "type": "string"
                },
                "start": {
                    "type": "integer"
                },
                "status": {
                    "description": "1 未通行 2 已同行 3 已过期",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                },
                "visitor": {
                    "type": "string"
                },
                "visitor_phone": {
                    "type": "string"
                }
            }
        },
        "v1.GateVisitorListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GateVisitorListItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GateVisitorListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GateVisitorListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateVisitorPageResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GateVisitorListItem"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseItem": {
            "type": "object",
            "properties": {
                "building_id": {
                    "type": "integer"
                },
                "hall_count": {
                    "description": "几厅",
                    "type": "integer"
                },
                "has_lift": {
                    "type": "boolean"
                },
                "house_area": {
                    "description": "房屋建筑面积",
                    "type": "number"
                },
                "house_name": {
                    "type": "string"
                },
                "house_number": {
                    "description": "门牌号",
                    "type": "string"
                },
                "house_type": {
                    "description": "房屋类型 1 住宅 2 公寓 3 商业 4 洋房 5 别墅",
                    "type": "integer"
                },
                "house_used_area": {
                    "description": "房屋使用面积",
                    "type": "number"
                },
                "id": {
                    "type": "integer"
                },
                "layer": {
                    "description": "楼层",
                    "type": "integer"
                },
                "room_count": {
                    "description": "几室",
                    "type": "integer"
                },
                "status": {
                    "description": "房屋状态 1 未入住 2 已入住 3 已出租",
                    "type": "integer"
                },
                "unit_id": {
                    "description": "单元id",
                    "type": "integer"
                }
            }
        },
        "v1.HouseListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.HouseItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentApplyBody": {
            "type": "object",
            "properties": {
                "base_conf": {
                    "description": "基础设施 从低到高分别表示床 天然气 暖气 宽带 冰箱 衣柜 沙发 空调 电视机 热水器 洗衣机",
                    "type": "integer"
                },
                "cert_pic": {
                    "description": "房屋证件图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "contact_phone": {
                    "description": "联系人电话",
                    "type": "string"
                },
                "contacter": {
                    "description": "联系人",
                    "type": "string"
                },
                "decorating": {
                    "description": "1 精装 2 简装 3 清水",
                    "type": "integer"
                },
                "desc": {
                    "description": "简介",
                    "type": "string"
                },
                "desposit": {
                    "description": "押金",
                    "type": "integer"
                },
                "direction": {
                    "description": "朝向",
                    "type": "integer"
                },
                "garden_id": {
                    "type": "integer"
                },
                "house_id": {
                    "type": "integer"
                },
                "house_pic": {
                    "description": "房屋图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "household_uid": {
                    "description": "业主uid",
                    "type": "integer"
                },
                "in_time": {
                    "description": "可入住时间",
                    "type": "integer"
                },
                "intermediary_price": {
                    "description": "中介费",
                    "type": "integer"
                },
                "pay_time_type": {
                    "description": "1 月付 2 季付 3 半年付 4 年付",
                    "type": "integer"
                },
                "rent_price": {
                    "description": "月租",
                    "type": "integer"
                },
                "rent_type": {
                    "description": "1 整租 2 合租 3 转租",
                    "type": "integer"
                },
                "room_area": {
                    "description": "房间面积",
                    "type": "number"
                },
                "room_type": {
                    "description": "1 全部 2 主卧 3 次卧",
                    "type": "integer"
                },
                "service_price": {
                    "description": "服务费",
                    "type": "integer"
                },
                "special_conf": {
                    "description": "特色配置 从低到高分别表示 智能门锁 wifi 近地铁 停车位 独卫 私人阳台 首次出租",
                    "type": "integer"
                },
                "wc_count": {
                    "description": "几卫",
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentApplyReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentApplyResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseRentApplyReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentAppointmentAddBody": {
            "type": "object",
            "properties": {
                "appointment_time": {
                    "description": "预约时间 0 代表随时看房",
                    "type": "integer"
                },
                "garden_id": {
                    "type": "integer"
                },
                "gender": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "rent_id": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentAppointmentDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentAppointmentItem": {
            "type": "object",
            "properties": {
                "appointment_time": {
                    "type": "integer"
                },
                "area": {
                    "type": "number"
                },
                "garden_id": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "gender": {
                    "type": "integer"
                },
                "house_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "layer": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "rent_id": {
                    "type": "integer"
                },
                "status": {
                    "description": "1 待受理，2 已受理，3 已拒绝，4 未到访，5已到访，6已过期",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentAppointmentListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.HouseRentAppointmentItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentAppointmentListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseRentAppointmentListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentDownBody": {
            "type": "object",
            "properties": {
                "garden_id": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentDownResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentItem": {
            "type": "object",
            "properties": {
                "addr": {
                    "type": "string"
                },
                "approve_status": {
                    "description": "审核状态 1 待审 2 通过 3 未通过",
                    "type": "integer"
                },
                "area": {
                    "description": "区域",
                    "type": "string"
                },
                "base_conf": {
                    "description": "基础设施",
                    "type": "integer"
                },
                "cert_pic": {
                    "description": "房屋证件图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "city": {
                    "description": "城市",
                    "type": "string"
                },
                "contact_phone": {
                    "description": "联系人电话",
                    "type": "string"
                },
                "contacter": {
                    "description": "联系人",
                    "type": "string"
                },
                "decorating": {
                    "description": "1 精装 2 简装 3 清水",
                    "type": "integer"
                },
                "desc": {
                    "description": "简介",
                    "type": "string"
                },
                "desposit": {
                    "description": "押金",
                    "type": "integer"
                },
                "direction": {
                    "description": "朝向",
                    "type": "integer"
                },
                "garden_desc": {
                    "type": "string"
                },
                "garden_id": {
                    "description": "小区id",
                    "type": "integer"
                },
                "garden_name": {
                    "description": "小区名称",
                    "type": "string"
                },
                "hall_count": {
                    "description": "几厅",
                    "type": "integer"
                },
                "has_lift": {
                    "description": "是否有电梯",
                    "type": "boolean"
                },
                "house_area": {
                    "description": "房屋建筑面积",
                    "type": "number"
                },
                "house_id": {
                    "type": "integer"
                },
                "house_name": {
                    "description": "房屋号",
                    "type": "string"
                },
                "house_pic": {
                    "description": "房屋图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "id": {
                    "description": "租房id",
                    "type": "integer"
                },
                "in_time": {
                    "description": "可入住时间",
                    "type": "integer"
                },
                "intermediary_price": {
                    "description": "中介费",
                    "type": "integer"
                },
                "lat": {
                    "description": "纬度",
                    "type": "number"
                },
                "layer": {
                    "description": "楼层",
                    "type": "integer"
                },
                "lnt": {
                    "description": "经度",
                    "type": "number"
                },
                "pay_time_type": {
                    "description": "1 月付 2 季付 3 半年付 4 年付",
                    "type": "integer"
                },
                "province": {
                    "description": "省份",
                    "type": "string"
                },
                "rent_price": {
                    "description": "月租",
                    "type": "integer"
                },
                "rent_type": {
                    "description": "1 整租 2 合租 3 转租",
                    "type": "integer"
                },
                "room_area": {
                    "description": "房间面积",
                    "type": "number"
                },
                "room_count": {
                    "description": "几室",
                    "type": "integer"
                },
                "room_type": {
                    "description": "1 全部 2 主卧 3 次卧",
                    "type": "integer"
                },
                "service_price": {
                    "description": "服务费",
                    "type": "integer"
                },
                "special_conf": {
                    "description": "特色配置",
                    "type": "integer"
                },
                "street": {
                    "description": "街道",
                    "type": "string"
                },
                "wc_count": {
                    "description": "几卫",
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.HouseRentItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseRentListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentManagerItem": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "manager_uid": {
                    "type": "integer"
                },
                "name": {
                    "description": "姓名",
                    "type": "string"
                },
                "openim_id": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "user_name": {
                    "description": "账号",
                    "type": "string"
                }
            }
        },
        "v1.HouseRentManagerListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.HouseRentManagerItem"
                    }
                }
            }
        },
        "v1.HouseRentManagerListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseRentManagerListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseRentUpdateBody": {
            "type": "object",
            "properties": {
                "base_conf": {
                    "description": "基础设施 从低到高分别表示床 天然气 暖气 宽带 冰箱 衣柜 沙发 空调 电视机 热水器 洗衣机",
                    "type": "integer"
                },
                "cert_pic": {
                    "description": "房屋证件图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "contact_phone": {
                    "description": "联系人电话",
                    "type": "string"
                },
                "contacter": {
                    "description": "联系人",
                    "type": "string"
                },
                "decorating": {
                    "description": "1 精装 2 简装 3 清水",
                    "type": "integer"
                },
                "desc": {
                    "description": "简介",
                    "type": "string"
                },
                "desposit": {
                    "description": "押金",
                    "type": "integer"
                },
                "direction": {
                    "description": "朝向",
                    "type": "integer"
                },
                "garden_id": {
                    "type": "integer"
                },
                "house_id": {
                    "type": "integer"
                },
                "house_pic": {
                    "description": "房屋图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "id": {
                    "type": "integer"
                },
                "in_time": {
                    "description": "可入住时间",
                    "type": "integer"
                },
                "intermediary_price": {
                    "description": "中介费",
                    "type": "integer"
                },
                "pay_time_type": {
                    "description": "1 月付 2 季付 3 半年付 4 年付",
                    "type": "integer"
                },
                "rent_price": {
                    "description": "月租",
                    "type": "integer"
                },
                "rent_type": {
                    "description": "1 整租 2 合租 3 转租",
                    "type": "integer"
                },
                "room_area": {
                    "description": "房间面积",
                    "type": "number"
                },
                "room_type": {
                    "description": "1 全部 2 主卧 3 次卧",
                    "type": "integer"
                },
                "service_price": {
                    "description": "服务费",
                    "type": "integer"
                },
                "special_conf": {
                    "description": "特色配置 从低到高分别表示 智能门锁 wifi 近地铁 停车位 独卫 私人阳台 首次出租",
                    "type": "integer"
                },
                "wc_count": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseRentUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseholdApplyBody": {
            "type": "object",
            "properties": {
                "appendix": {
                    "description": "附件",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "garden_id": {
                    "description": "小区id",
                    "type": "integer"
                },
                "house_id": {
                    "description": "房屋id",
                    "type": "integer"
                },
                "id_number": {
                    "description": "证件号",
                    "type": "string"
                },
                "id_type": {
                    "description": "1 身份证 2 护照",
                    "type": "integer"
                },
                "name": {
                    "description": "姓名",
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "user_type": {
                    "description": "1业主 2家人 3租客",
                    "type": "integer"
                }
            }
        },
        "v1.HouseholdApplyReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseholdApplyResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseholdApplyReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseholdHouseInfo": {
            "type": "object",
            "properties": {
                "can_pay": {
                    "description": "是否支持线上支付",
                    "type": "boolean"
                },
                "garden_id": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "house_id": {
                    "type": "integer"
                },
                "house_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "user_type": {
                    "description": "住户在该房屋下的类型 1 业主 2 家人 3 租客",
                    "type": "integer"
                }
            }
        },
        "v1.HouseholdHousesReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.HouseholdHouseInfo"
                    }
                }
            }
        },
        "v1.HouseholdHousesResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseholdHousesReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseholdItem": {
            "type": "object",
            "properties": {
                "appendix": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "approve_status": {
                    "type": "integer"
                },
                "garden_id": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "house_id": {
                    "type": "integer"
                },
                "house_name": {
                    "description": "房号",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "id_number": {
                    "description": "证件号",
                    "type": "string"
                },
                "id_type": {
                    "description": "1 身份证 2 护照",
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "user_type": {
                    "description": "1业主 2家人 3租客",
                    "type": "integer"
                }
            }
        },
        "v1.HouseholdListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.HouseholdItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.HouseholdListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.HouseholdListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseholdSpaceResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ParkSpaceListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.HouseholdVehicleResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.VehicleListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LoginBody": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "phone_encrypt": {
                    "description": "手机号加密数据",
                    "type": "string"
                },
                "phone_iv": {
                    "description": "手机号加密初始向量",
                    "type": "string"
                },
                "user_encrypt": {
                    "description": "用户信息加密数据",
                    "type": "string"
                },
                "user_iv": {
                    "description": "用户信息加密初始向量",
                    "type": "string"
                }
            }
        },
        "v1.LoginData": {
            "type": "object",
            "properties": {
                "avatar": {
                    "description": "头像",
                    "type": "string"
                },
                "nick_name": {
                    "type": "string"
                },
                "open_id": {
                    "type": "string"
                },
                "openim_id": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "token": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "user": {
                    "type": "string"
                }
            }
        },
        "v1.LoginResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LoginData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MaterialInfoReply": {
            "type": "object",
            "properties": {
                "pic": {
                    "type": "string"
                }
            }
        },
        "v1.MaterialInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.MaterialInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MaterialItem": {
            "type": "object",
            "properties": {
                "created_at": {
                    "type": "integer"
                },
                "enable": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "mtype": {
                    "type": "integer"
                },
                "pic": {
                    "type": "string"
                }
            }
        },
        "v1.MaterialListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MaterialItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.MaterialListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.MaterialListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MonthInfo": {
            "type": "object",
            "properties": {
                "give_months": {
                    "description": "赠送月数",
                    "type": "integer"
                },
                "give_text": {
                    "description": "赠送其他的描述",
                    "type": "string"
                },
                "months": {
                    "description": "缴费月数",
                    "type": "integer"
                },
                "package_id": {
                    "type": "integer"
                }
            }
        },
        "v1.NeighborArticleAddBody": {
            "type": "object",
            "properties": {
                "class_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "content": {
                    "description": "文章类容",
                    "type": "string"
                },
                "garden_id": {
                    "type": "integer"
                },
                "pics": {
                    "description": "文章图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "title": {
                    "description": "文章标题",
                    "type": "string"
                }
            }
        },
        "v1.NeighborArticleAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborArticleDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborArticleItem": {
            "type": "object",
            "properties": {
                "class_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "comment_count": {
                    "description": "评论总数",
                    "type": "integer"
                },
                "content": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "like": {
                    "description": "true 本人已点赞 false 本人未点赞",
                    "type": "boolean"
                },
                "likes": {
                    "description": "文章点赞数",
                    "type": "integer"
                },
                "nick_name": {
                    "type": "string"
                },
                "owner": {
                    "description": "是否是本人发布的文章",
                    "type": "boolean"
                },
                "pics": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "title": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "updated_at": {
                    "type": "string"
                },
                "user_icon": {
                    "description": "用户头像",
                    "type": "string"
                },
                "user_name": {
                    "type": "string"
                },
                "user_phone": {
                    "type": "string"
                }
            }
        },
        "v1.NeighborArticleListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.NeighborArticleItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.NeighborArticleListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.NeighborArticleListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborArticleUpdateBody": {
            "type": "object",
            "properties": {
                "content": {
                    "description": "文章类容",
                    "type": "string"
                },
                "garden_id": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "pics": {
                    "description": "文章图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "title": {
                    "description": "文章标题",
                    "type": "string"
                }
            }
        },
        "v1.NeighborArticleUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborClassItem": {
            "type": "object",
            "properties": {
                "article_count": {
                    "description": "分类下的文章总数",
                    "type": "integer"
                },
                "class_name": {
                    "type": "string"
                },
                "class_pic": {
                    "type": "string"
                },
                "created_at": {
                    "description": "分类创建时间",
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                },
                "updated_at": {
                    "description": "分类结束时间",
                    "type": "string"
                }
            }
        },
        "v1.NeighborClassListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.NeighborClassItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.NeighborClassListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.NeighborClassListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborCommentAddBody": {
            "type": "object",
            "properties": {
                "article_id": {
                    "type": "integer"
                },
                "content": {
                    "description": "文章类容",
                    "type": "string"
                },
                "garden_id": {
                    "type": "integer"
                },
                "pics": {
                    "description": "文章图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "pid": {
                    "description": "pid 和 article_id 二选一， 当为文章评论使用article_id, 当为评论添加子评论使用pid(即父评论id)",
                    "type": "integer"
                }
            }
        },
        "v1.NeighborCommentAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborCommentDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborCommentItem": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "like": {
                    "description": "本人是否点赞",
                    "type": "boolean"
                },
                "likes": {
                    "description": "点赞数",
                    "type": "integer"
                },
                "nick_name": {
                    "type": "string"
                },
                "owner": {
                    "description": "是否是本人发布的文章",
                    "type": "boolean"
                },
                "pics": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "sub_comment_count": {
                    "description": "子评论数",
                    "type": "integer"
                },
                "uid": {
                    "type": "integer"
                },
                "updated_at": {
                    "type": "string"
                },
                "user_icon": {
                    "description": "用户头像",
                    "type": "string"
                },
                "user_name": {
                    "type": "string"
                },
                "user_phone": {
                    "type": "string"
                }
            }
        },
        "v1.NeighborCommentListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.NeighborCommentItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.NeighborCommentListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.NeighborCommentListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborCommentUpdateBody": {
            "type": "object",
            "properties": {
                "content": {
                    "description": "文章类容",
                    "type": "string"
                },
                "garden_id": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "pics": {
                    "description": "文章图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "v1.NeighborCommentUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.NeighborLikeBody": {
            "type": "object",
            "properties": {
                "garden_id": {
                    "type": "integer"
                },
                "like": {
                    "description": "true 点赞 false 撤销点赞(前端应做相应控制，如果目标已点赞则不能点赞只能撤销，如果目标未点赞则只能点赞，不能撤销)",
                    "type": "boolean"
                },
                "like_id": {
                    "description": "点赞id(like_type为1时代表文章id，like_type为2时代表评论id)",
                    "type": "integer"
                },
                "like_type": {
                    "description": "点赞类型 1 文章 2 评论",
                    "type": "integer"
                }
            }
        },
        "v1.NeighborLikeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.OpenImTokenReply": {
            "type": "object",
            "properties": {
                "expire_at": {
                    "type": "integer"
                },
                "token": {
                    "type": "string"
                }
            }
        },
        "v1.OpenImTokenResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.OpenImTokenReply"
                },
                "token": {
                    "description": "token",
                    "type": "string"
                },
                "userId": {
                    "description": "用户id",
                    "type": "integer"
                }
            }
        },
        "v1.OpenImUserData": {
            "type": "object",
            "properties": {
                "face_url": {
                    "type": "string"
                },
                "gender": {
                    "type": "integer"
                },
                "nick_name": {
                    "type": "string"
                },
                "openim_id": {
                    "type": "string"
                }
            }
        },
        "v1.OpenImUserInfoReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.OpenImUserData"
                    }
                }
            }
        },
        "v1.OpenImUsersInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.OpenImUserInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ParkSpaceItem": {
            "type": "object",
            "properties": {
                "comment": {
                    "type": "string"
                },
                "created_at": {
                    "type": "string"
                },
                "house_id": {
                    "type": "integer"
                },
                "house_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "park_id": {
                    "type": "integer"
                },
                "park_name": {
                    "type": "string"
                },
                "park_number": {
                    "type": "string"
                },
                "park_type": {
                    "type": "integer"
                },
                "space_area": {
                    "type": "number"
                },
                "space_number": {
                    "type": "string"
                },
                "space_type": {
                    "type": "integer"
                }
            }
        },
        "v1.ParkSpaceListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ParkSpaceItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ProvinceCityAreaReply": {
            "type": "object",
            "properties": {
                "area_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.AreaData"
                    }
                },
                "city_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CityData"
                    }
                },
                "province_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProvinceData"
                    }
                }
            }
        },
        "v1.ProvinceCityAreaResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProvinceCityAreaReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProvinceData": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.RealNameAuthBody": {
            "type": "object",
            "properties": {
                "id_number": {
                    "type": "string"
                },
                "id_type": {
                    "type": "integer"
                },
                "real_name": {
                    "type": "string"
                }
            }
        },
        "v1.RealNameAuthData": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                }
            }
        },
        "v1.RealNameAuthResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.RealNameAuthData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairClassItem": {
            "type": "object",
            "properties": {
                "area": {
                    "type": "integer"
                },
                "enable": {
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.RepairClassListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.RepairClassItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.RepairClassListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.RepairClassListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderAddBody": {
            "type": "object",
            "properties": {
                "apply_content": {
                    "description": "报修内容",
                    "type": "string"
                },
                "apply_people": {
                    "description": "报修人",
                    "type": "string"
                },
                "apply_people_phone": {
                    "description": "报修人电话",
                    "type": "string"
                },
                "apply_pic": {
                    "description": "报修图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "appointment": {
                    "description": "预约时间",
                    "type": "integer"
                },
                "class_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "garden_id": {
                    "type": "integer"
                },
                "house_id": {
                    "description": "房屋id",
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.RepairOrderAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderInfoReply": {
            "type": "object",
            "properties": {
                "base_info": {
                    "description": "基本信息",
                    "type": "object",
                    "$ref": "#/definitions/v1.RepairOrderItem"
                },
                "list": {
                    "description": "工单流水线",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.RepairOrderPipelineData"
                    }
                }
            }
        },
        "v1.RepairOrderInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.RepairOrderInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderItem": {
            "type": "object",
            "properties": {
                "apply_content": {
                    "description": "报修内容",
                    "type": "string"
                },
                "apply_people": {
                    "description": "报修人",
                    "type": "string"
                },
                "apply_people_phone": {
                    "description": "报修人电话",
                    "type": "string"
                },
                "apply_pic": {
                    "description": "报修图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "appointment": {
                    "description": "预约时间",
                    "type": "string"
                },
                "area": {
                    "description": "1 公共区域 2 室内",
                    "type": "integer"
                },
                "building_id": {
                    "description": "楼栋id",
                    "type": "integer"
                },
                "class_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "class_name": {
                    "description": "分类名称",
                    "type": "string"
                },
                "created_at": {
                    "description": "报修时间",
                    "type": "string"
                },
                "current_user": {
                    "description": "当前状态处理人",
                    "type": "string"
                },
                "house_id": {
                    "description": "房屋id",
                    "type": "integer"
                },
                "house_name": {
                    "description": "房屋全称",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "last_user": {
                    "description": "上级处理人",
                    "type": "string"
                },
                "repair_pic": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "repair_time": {
                    "description": "维修时间",
                    "type": "string"
                },
                "return_visit_content": {
                    "description": "回访内容",
                    "type": "string"
                },
                "return_visit_level": {
                    "description": "回访满意度",
                    "type": "integer"
                },
                "status": {
                    "type": "integer"
                },
                "unit_id": {
                    "description": "单元id",
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.RepairOrderItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.RepairOrderListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderPipelineData": {
            "type": "object",
            "properties": {
                "feedback": {
                    "description": "处理意见",
                    "type": "string"
                },
                "handle_time": {
                    "description": "处理时间",
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "user": {
                    "description": "处理人",
                    "type": "string"
                }
            }
        },
        "v1.RepairOrderReturnVisitBody": {
            "type": "object",
            "properties": {
                "garden_id": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "return_visit_content": {
                    "description": "回访内容",
                    "type": "string"
                },
                "return_visit_level": {
                    "description": "1 满意 2 不满意",
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderReturnVisitResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.RepairOrderUpdateBody": {
            "type": "object",
            "properties": {
                "apply_content": {
                    "description": "报修内容",
                    "type": "string"
                },
                "apply_people": {
                    "description": "报修人",
                    "type": "string"
                },
                "apply_people_phone": {
                    "description": "报修人电话",
                    "type": "string"
                },
                "apply_pic": {
                    "description": "报修图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "appointment": {
                    "description": "预约时间",
                    "type": "integer"
                },
                "class_id": {
                    "description": "分类id",
                    "type": "integer"
                },
                "garden_id": {
                    "type": "integer"
                },
                "house_id": {
                    "description": "房屋id",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.RepairOrderUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ServicePhoneClassItem": {
            "type": "object",
            "properties": {
                "class_name": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.ServicePhoneClassListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ServicePhoneClassItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ServicePhoneClassListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ServicePhoneClassListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ServicePhoneItem": {
            "type": "object",
            "properties": {
                "class_id": {
                    "type": "integer"
                },
                "class_name": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                }
            }
        },
        "v1.ServicePhoneListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ServicePhoneItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ServicePhoneListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ServicePhoneListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StreetCommitteeReply": {
            "type": "object",
            "properties": {
                "committee_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CommitteeData"
                    }
                },
                "street_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.StreetData"
                    }
                }
            }
        },
        "v1.StreetCommitteeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.StreetCommitteeReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StreetData": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.SuggestionOrderAddBody": {
            "type": "object",
            "properties": {
                "apply_content": {
                    "description": "投诉内容",
                    "type": "string"
                },
                "apply_people": {
                    "description": "投诉人",
                    "type": "string"
                },
                "apply_people_phone": {
                    "description": "投诉人电话",
                    "type": "string"
                },
                "apply_pic": {
                    "description": "投诉图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "garden_id": {
                    "type": "integer"
                },
                "suggestion_type": {
                    "description": "投诉类型 1 投诉 2 建议",
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderAddReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.SuggestionOrderAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SuggestionOrderInfoReply": {
            "type": "object",
            "properties": {
                "base_info": {
                    "description": "基本信息",
                    "type": "object",
                    "$ref": "#/definitions/v1.SuggestionOrderItem"
                },
                "list": {
                    "description": "工单流水线",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.SuggestionOrderPipelineData"
                    }
                }
            }
        },
        "v1.SuggestionOrderInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.SuggestionOrderInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SuggestionOrderItem": {
            "type": "object",
            "properties": {
                "apply_content": {
                    "description": "投诉内容",
                    "type": "string"
                },
                "apply_people": {
                    "description": "投诉人",
                    "type": "string"
                },
                "apply_people_phone": {
                    "description": "投诉人电话",
                    "type": "string"
                },
                "apply_pic": {
                    "description": "投诉图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "created_at": {
                    "description": "投诉时间",
                    "type": "string"
                },
                "current_user": {
                    "description": "当前状态处理人",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "last_user": {
                    "description": "上级处理人",
                    "type": "string"
                },
                "return_visit_content": {
                    "description": "回访内容",
                    "type": "string"
                },
                "return_visit_level": {
                    "description": "回访满意度",
                    "type": "integer"
                },
                "status": {
                    "type": "integer"
                },
                "suggestion_type": {
                    "description": "投诉类型 1 投诉 2 建议",
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.SuggestionOrderItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.SuggestionOrderListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SuggestionOrderPipelineData": {
            "type": "object",
            "properties": {
                "feedback": {
                    "description": "处理意见",
                    "type": "string"
                },
                "handle_time": {
                    "description": "处理时间",
                    "type": "string"
                },
                "phone": {
                    "type": "string"
                },
                "status": {
                    "type": "string"
                },
                "user": {
                    "description": "处理人",
                    "type": "string"
                }
            }
        },
        "v1.SuggestionOrderReturnVisitBody": {
            "type": "object",
            "properties": {
                "garden_id": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "return_visit_content": {
                    "description": "回访内容",
                    "type": "string"
                },
                "return_visit_level": {
                    "description": "1 满意 2 不满意",
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderReturnVisitResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SuggestionOrderUpdateBody": {
            "type": "object",
            "properties": {
                "apply_content": {
                    "description": "投诉内容",
                    "type": "string"
                },
                "apply_people": {
                    "description": "投诉人",
                    "type": "string"
                },
                "apply_people_phone": {
                    "description": "投诉人电话",
                    "type": "string"
                },
                "apply_pic": {
                    "description": "投诉图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "garden_id": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "suggestion_type": {
                    "description": "投诉类型 1 投诉 2 建议",
                    "type": "integer"
                }
            }
        },
        "v1.SuggestionOrderUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TokenResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "string"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                },
                "refresh_token": {
                    "type": "string"
                }
            }
        },
        "v1.UnitItem": {
            "type": "object",
            "properties": {
                "building_id": {
                    "description": "楼栋id",
                    "type": "integer"
                },
                "building_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "unit_layers": {
                    "description": "楼层数",
                    "type": "integer"
                },
                "unit_name": {
                    "description": "单元名",
                    "type": "string"
                },
                "unit_number": {
                    "description": "单元编号",
                    "type": "integer"
                }
            }
        },
        "v1.UnitListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.UnitItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.UnitListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.UnitListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UploadResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "string"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UserInfoReply": {
            "type": "object",
            "properties": {
                "id_number": {
                    "type": "string"
                },
                "id_type": {
                    "type": "integer"
                },
                "real_name": {
                    "type": "string"
                }
            }
        },
        "v1.UserInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.UserInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.UserUpdateNickNameBody": {
            "type": "object",
            "properties": {
                "nick_name": {
                    "type": "string"
                }
            }
        },
        "v1.UserUpdateNickNameResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VehicleItem": {
            "type": "object",
            "properties": {
                "bind_type": {
                    "type": "integer"
                },
                "brand": {
                    "type": "string"
                },
                "brand_pic": {
                    "type": "string"
                },
                "color": {
                    "type": "string"
                },
                "displacement": {
                    "type": "number"
                },
                "displacement_unit": {
                    "type": "string"
                },
                "engine_no": {
                    "type": "string"
                },
                "household_name": {
                    "type": "string"
                },
                "household_phone": {
                    "type": "string"
                },
                "household_uid": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "park_id": {
                    "type": "integer"
                },
                "park_name": {
                    "type": "string"
                },
                "park_number": {
                    "type": "string"
                },
                "plate_no": {
                    "type": "string"
                },
                "seat": {
                    "type": "integer"
                },
                "space_id": {
                    "type": "integer"
                },
                "space_number": {
                    "type": "string"
                },
                "vehicle_type": {
                    "type": "integer"
                },
                "vin": {
                    "type": "string"
                }
            }
        },
        "v1.VehicleListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VehicleItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.VoteAddAnswerBody": {
            "type": "object",
            "properties": {
                "answers": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteTopicAnswer"
                    }
                },
                "garden_id": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.VoteAddAnswerResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VoteListForHouseholdItem": {
            "type": "object",
            "properties": {
                "answered": {
                    "description": "是否已投票",
                    "type": "boolean"
                },
                "created_at": {
                    "type": "integer"
                },
                "end": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "pics": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "start": {
                    "type": "integer"
                },
                "title": {
                    "description": "标题",
                    "type": "string"
                },
                "topics": {
                    "description": "题目类容和用户回答",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteTopicForHouseholdItem"
                    }
                }
            }
        },
        "v1.VoteListForHouseholdReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteListForHouseholdItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.VoteListForHouseholdResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.VoteListForHouseholdReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VoteResultStatisticChoice": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "该选项被选的用户",
                    "type": "integer"
                },
                "flag": {
                    "description": "选择选项标识",
                    "type": "string"
                }
            }
        },
        "v1.VoteResultStatisticItem": {
            "type": "object",
            "properties": {
                "choice_items": {
                    "description": "选择题的选项内容",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteTopicChoiceItem"
                    }
                },
                "choice_statistic": {
                    "description": "选择题的选项回答统计，当题目类型为选择题时有效",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteResultStatisticChoice"
                    }
                },
                "must": {
                    "description": "是否必选",
                    "type": "boolean"
                },
                "number": {
                    "description": "题目编号",
                    "type": "integer"
                },
                "star": {
                    "description": "总星数，当为评分题时有效",
                    "type": "integer"
                },
                "star_avg": {
                    "description": "平均分， 当题目类型为评分题时有效",
                    "type": "integer"
                },
                "star_statistic": {
                    "description": "评分题的分数回答统计，当题目类型为评分题时有效",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteResultStatisticStar"
                    }
                },
                "topic_name": {
                    "type": "string"
                },
                "topic_type": {
                    "description": "题目类型 1 填空题 2 单选题 3 多选题 4 评分题",
                    "type": "integer"
                }
            }
        },
        "v1.VoteResultStatisticReply": {
            "type": "object",
            "properties": {
                "list": {
                    "description": "题目统计",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteResultStatisticItem"
                    }
                }
            }
        },
        "v1.VoteResultStatisticResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.VoteResultStatisticReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.VoteResultStatisticStar": {
            "type": "object",
            "properties": {
                "count": {
                    "description": "评该星数的用户数量",
                    "type": "integer"
                },
                "star": {
                    "description": "评分星数",
                    "type": "integer"
                }
            }
        },
        "v1.VoteTopicAnswer": {
            "type": "object",
            "properties": {
                "choice_answers": {
                    "description": "选择题回答，当题目类型为选择题时有效",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "completion_answers": {
                    "description": "问答题回答，当题目类型为问答题时有效",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "number": {
                    "description": "题目编号",
                    "type": "integer"
                },
                "star_answers": {
                    "description": "评分题回答，当题目类型为评分题时有效",
                    "type": "integer"
                },
                "topic_type": {
                    "description": "题目类型",
                    "type": "integer"
                }
            }
        },
        "v1.VoteTopicChoiceItem": {
            "type": "object",
            "properties": {
                "flag": {
                    "type": "string"
                },
                "text": {
                    "type": "string"
                }
            }
        },
        "v1.VoteTopicForHouseholdItem": {
            "type": "object",
            "properties": {
                "choice_answers": {
                    "description": "选择题回答，当题目类型为选择题时有效",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "choice_items": {
                    "description": "选择题的选项",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.VoteTopicChoiceItem"
                    }
                },
                "completion_answers": {
                    "description": "当已投票时，以下字段有效\n问答题回答，当题目类型为问答题时有效",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "must": {
                    "description": "是否必选",
                    "type": "boolean"
                },
                "number": {
                    "description": "题目编号",
                    "type": "integer"
                },
                "star": {
                    "description": "总星数，当为评分题时有效",
                    "type": "integer"
                },
                "star_answers": {
                    "description": "评分题回答，当题目类型为评分题时有效",
                    "type": "integer"
                },
                "topic_name": {
                    "type": "string"
                },
                "topic_type": {
                    "description": "题目类型 1 填空题 2 单选题 3 多选题 4 评分题",
                    "type": "integer"
                }
            }
        },
        "v1.WxAppletPrepayReply": {
            "type": "object",
            "properties": {
                "prepay": {
                    "type": "string"
                },
                "prepay_id": {
                    "type": "string"
                }
            }
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "1.1",
	Host:        "",
	BasePath:    "",
	Schemes:     []string{},
	Title:       "Project property-household-gateway's APIs",
	Description: "This is a gateway server. On the page, you can go to do testing for every API.",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
